{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% set _breadcrumb = ['Administration', ['Utilisateurs', 'user.index'], [user.fullName, 'user.edit', {id: user.id}], 'Administration' ] %}
{% extends "admin/user/_layout.html.twig" %}

{% block subcontent %}
    <div class="box no-border">
        <div class="box-body p-0">
            <div class="list-group list-group-admin-tasks mb-0">

                {% if is_granted("user.administrate", user) and not user.enabled %}
                    <div class="list-group-item">
                        <a href="{{ path('user.administrate.invite', {id: user.id}) }}" class="btn btn-default pull-right">Envoyer</a>
                        <h4 class="list-group-item-heading"><span class="fa fa-envelope"></span> Renvoyer l'invitation</h4>
                        <p class="list-group-item-text">Renvoyer l'invitation à l'adresse email de l'utilisateur : <strong>{{ user.email }}</strong></p>
                    </div>
                {% endif %}

                {% if is_granted('user.impersonate', user) %}
                    <div class="list-group-item">
                        <a href="{{ path('home', {'_switch_user': user.username}) }}" class="btn btn-default pull-right">Se connecter</a>
                        <h4 class="list-group-item-heading"><span class="fa fa-user-secret"></span> Se connecter en tant que {{ user.fullName }}</h4>
                        <p class="list-group-item-text">La substitution d'authentification vous permet de vous connecter en tant que {{ user.fullName }}</p>
                    </div>
                {% endif %}

                {% if is_granted('user.block', user) %}
                    <div class="list-group-item list-group-item-warning">
                        <a href="{{ path('user.administrate.block', {id: user.id}) }}" class="btn btn-warning pull-right" data-toggle="modal-remote">{{ user.locked ? 'Débloquer' : 'Bloquer' }}</a>
                        <h4 class="list-group-item-heading"><span class="fa fa-ban"></span> {{ user.locked ? 'Débloquer' : 'Bloquer' }} l'utilisateur</h4>
                        <p class="list-group-item-text">Une fois {{ user.locked ? 'débloqué' : 'bloqué' }}, l'utilisateur {{ user.locked ? 'sera ' : 'ne sera plus ' }} en mesure de s'authentifier sur la plateforme.</p>
                    </div>
                {% endif %}

                {% if is_granted('user.delete', user) %}
                    <div class="list-group-item list-group-item-danger">
                        <a href="{{ path('user.administrate.delete', {id: user.id}) }}" class="btn btn-danger pull-right" data-toggle="modal-remote">Supprimer</a>
                        <h4 class="list-group-item-heading"><span class="fa fa-trash"></span> Supprimer définitivement cet utilisateur</h4>
                        <p class="list-group-item-text">Supprime définitivement l'utilisateur de la plateforme</p>
                    </div>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}
